# Models

## The AcceptedResult object

```json
{"openapi":"3.0.1","info":{"title":"External US Onboarding Workflow","version":"0.0.1"},"components":{"schemas":{"AcceptedResult":{"type":"object","properties":{"uniqueIdentifier":{"type":"string","nullable":true}},"additionalProperties":false}}}}
```

## The BoardingError object

```json
{"openapi":"3.0.1","info":{"title":"External US Onboarding Workflow","version":"0.0.1"},"components":{"schemas":{"BoardingError":{"type":"object","properties":{"errorMessage":{"type":"string","description":"Describes the reason for the error.","nullable":true},"resultCode":{"type":"integer","description":"Numeric code that identifies the type of error returned by the request.","format":"int32"},"timeStamp":{"type":"string","description":"Date and time when the error occurred, ISO 8601 format (UTC).","format":"date-time"},"fieldPath":{"type":"array","items":{"type":"string"},"nullable":true}},"additionalProperties":false}}}}
```

## The BoardingManagementErrorResults object

```json
{"openapi":"3.0.1","info":{"title":"External US Onboarding Workflow","version":"0.0.1"},"components":{"schemas":{"BoardingManagementErrorResults":{"type":"object","properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/BoardingError"},"nullable":true}},"additionalProperties":false,"description":"Contains one or more error objects returned."},"BoardingError":{"type":"object","properties":{"errorMessage":{"type":"string","description":"Describes the reason for the error.","nullable":true},"resultCode":{"type":"integer","description":"Numeric code that identifies the type of error returned by the request.","format":"int32"},"timeStamp":{"type":"string","description":"Date and time when the error occurred, ISO 8601 format (UTC).","format":"date-time"},"fieldPath":{"type":"array","items":{"type":"string"},"nullable":true}},"additionalProperties":false}}}}
```

## The CreationRequest object

```json
{"openapi":"3.0.1","info":{"title":"External US Onboarding Workflow","version":"0.0.1"},"components":{"schemas":{"CreationRequest":{"required":["hierarchyNodeKey"],"type":"object","properties":{"hierarchyNodeKey":{"type":"string","description":"The unique key identifying the hierarchy node."},"dbaName":{"type":"string","description":"Doing Business As (DBA) name of the merchant.","nullable":true}},"additionalProperties":false}}}}
```

## The EmptyResult object

```json
{"openapi":"3.0.1","info":{"title":"External US Onboarding Workflow","version":"0.0.1"},"components":{"schemas":{"EmptyResult":{"type":"object","additionalProperties":false}}}}
```

## The PropertyResult object

```json
{"openapi":"3.0.1","info":{"title":"External US Onboarding Workflow","version":"0.0.1"},"components":{"schemas":{"PropertyResult":{"type":"object","properties":{"content":{"type":"object","additionalProperties":{"type":"string"},"description":"Contains the key-value pair of the property.","nullable":true}},"additionalProperties":false}}}}
```

## The SuccessfulRequestResponse object

```json
{"openapi":"3.0.1","info":{"title":"External US Onboarding Workflow","version":"0.0.1"},"components":{"schemas":{"SuccessfulRequestResponse":{"required":["merchantNumber"],"type":"object","properties":{"merchantNumber":{"type":"string","description":"The merchant's unique identification number."}},"additionalProperties":false}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.xplorpay.com/api-reference/api/merchant-onboarding/onboard-merchant/application-management/models.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
